Logo
OpenScaler
ApiCountries

List All Countries

GET
/v1/regions/countries

To retrieve a list of all countries, send a GET request to /v2/regions/countries.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/regions/countries"
{  "countries": {    "ad": "Andorra",    "ae": "United Arab Emirates",    "af": "Afghanistan",    "dz": "Algeria",    "fr": "France",    "gb": "United Kingdom",    "us": "United States"  }}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}